Package com.pixelmed.dicom

## Class ContentItemFactory.UIDContentItem

- java.lang.Object
- - com.pixelmed.dicom.ContentItem
  - - com.pixelmed.dicom.ContentItemWithValue
    - - com.pixelmed.dicom.ContentItemFactory.StringContentItem
      - - com.pixelmed.dicom.ContentItemFactory.UIDContentItem

- All Implemented Interfaces:
    `javax.swing.tree.TreeNode`
  Enclosing class:
    ContentItemFactory

      public class ContentItemFactory.UIDContentItem
      extends ContentItemFactory.StringContentItem

- - ### Field Summary

    - ### Fields inherited from class com.pixelmed.dicom.ContentItemFactory.StringContentItem

      `stringValue`

    - ### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

      `conceptName, referencedContentItemIdentifier, valueType`

    - ### Fields inherited from class com.pixelmed.dicom.ContentItem

      `relationshipType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UIDContentItem​(ContentItem parent, AttributeList list)` |
    `UIDContentItem​(ContentItem parent, java.lang.String relationshipType, CodedSequenceItem conceptName, java.lang.String uidValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setConceptValue​(java.lang.String uidValue)` |

    - ### Methods inherited from class com.pixelmed.dicom.ContentItemFactory.StringContentItem

      `getConceptValue, setConceptValue, toString`

    - ### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

      `contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

    - ### Methods inherited from class com.pixelmed.dicom.ContentItem

      `addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getParent, getParentAsContentItem, getPositionInTreeToUseAsReferencedContentItemIdentifier, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getReferencedSOPClassUID, getReferencedSOPInstanceUID, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UIDContentItem

          public UIDContentItem​(ContentItem parent,
                                AttributeList list)

      Parameters:
        `parent` - parent content item to add to
        `list` - the list of attributes for this content item

    - #### UIDContentItem

          public UIDContentItem​(ContentItem parent,
                                java.lang.String relationshipType,
                                CodedSequenceItem conceptName,
                                java.lang.String uidValue)
                         throws DicomException

      Parameters:
        `parent` - parent content item to add to
        `relationshipType` - relationship type
        `conceptName` - coded concept name
        `uidValue` - UID value
      Throws:
        `DicomException` - if error in DICOM encoding

  - ### Method Detail

    - #### setConceptValue

          public void setConceptValue​(java.lang.String uidValue)
                               throws DicomException

      Parameters:
        `uidValue` - if null, removes the value
      Throws:
        `DicomException` - if error in DICOM encoding